#Setting up PHP

## Use Flags

In order for PHP to be most useful, it should have as many of the modules installed as will be used. I recommend installing it using the FPM sapi, which manages php session spawning. 

Here are some recommended flags:
`mysql utf8 threads -readline libssh2 -cgi fpm xcache suhosin postgres 
mysqlnd reflection session simplexml sockets spl pdo mbstring sqlite3 mysqli soap exif`

## PHP_TARGETS

The `PHP_TARGETS` setting in `/etc/make.conf` lets you select which versions of PHP to compile. If possible, I recommend always using the latest stable version. 

As of the time this is written, php 5.3 is the latest version, so I would add this line to `/etc/make.conf`

`PHP_TARGETS="php5-3"`

As of this writing, PHP compiles with clang reliably. 
